> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update group

> Updates an existing group.

**Required scopes:** `groups--my:rw`, <Tooltip tip="To update groups the requester is not a member of.">`groups--all:rw`</Tooltip>


## OpenAPI

````yaml /api/configuration/v3.6/openapi.json post /action/update_group
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.6
servers:
  - url: https://api.livechatinc.com/v3.6/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/update_group:
    post:
      tags:
        - Groups
      summary: Update group
      description: Updates an existing group.
      operationId: update-group
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateGroupRequest'
            example:
              id: 19
              name: Sport shoes
              agent_priorities:
                agent1@example.com: normal
                agent2@example.com: normal
                agent3@example.com: last
      responses:
        '200':
          description: Group updated successfully.
components:
  schemas:
    UpdateGroupRequest:
      type: object
      required:
        - id
      properties:
        id:
          type: integer
          description: The group ID.
        name:
          type: string
          maxLength: 180
          description: The group name.
        language_code:
          type: string
          description: The code of the group language.
        agent_priorities:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/AgentPriority'
          description: >-
            The agents' priorities in a group as a map in the `"<id>":
            "<priority>"` format.
    AgentPriority:
      type: string
      enum:
        - first
        - normal
        - last
        - supervisor
      description: >-
        The agent's chat routing priority in a group.


        - `first` — the highest chat routing priority. Agents with the `first`
        priority get chats before others from the same group.

        - `normal` — the medium chat routing priority. Agents with the `normal`
        priority get chats before those with the `last` priority, when there are
        no agents with the `first` priority available with free slots in the
        group.

        - `last` — the lowest chat routing priority. Agents with the `last`
        priority get chats when there are no agents with the `first` or `normal`
        priority available with free slots in the group.

        - `supervisor` — agents with the `supervisor` priority will not get any
        chats assigned automatically.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````